Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-12480

Blackberry10 build error, 'unable to graft xml'

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Labels:
      None

      Description

      I don't know when this change happened but I believe it started at version 6.4.0.

      To reproduce

      1. Run cordova build blackberry10

      Expected result

      1. It builds

      Actual result

      Error loading cordova-blackberry10
      Error: Unable to graft xml at selector "/widget/rim:permissions" from "/Users/Jason/Code/SVN/MyApp/platforms/blackberry10/www/config.xml" during config install
      

      Additionally, on prior versions (and possibly current versions once this is fixed), if I do not remove build.json I receive an error, error: unknown option `--buildConfig=/Users/Jason/Code/SVN/MyApp/build.json'.

      I am forced to both use an old version of Cordova, as well as temporarily remove this file whenever I have to build my cross-platform app for Blackberry.

        Attachments

          Activity

            People

            • Assignee:
              purplecabbage Jesse MacFadyen
              Reporter:
              jvngd Jason Vertucio
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: